;nvns command

C_br		macro
	db $00
	.endm
C_np		macro
	db $01
	.endm
C_keywait	macro
	db $02
	.endm
C_wait		macro
	db $03,\1
	.endm
C_curpos	macro
	db $02
	db $05,\1
	.endm

C_goto		macro
	db $30,#BANK(\1)
	dw \1
	.endm
;C_goto		macro
;	db $31
;	dw \1
;	.endm

C_gosub		macro
	db $34,#BANK(\1)
	dw \1
	.endm
;C_gosub		macro
;	db $32
;	dw \1
;	.endm
C_return	macro
	db $33
	.endm

C_if_zero	macro
	db $35,\1
	dw \2
	.endm
C_if_plus	macro
	db $36,\1
	dw \2
	.endm
C_if_minus	macro
	db $37,\1
	dw \2
	.endm


C_select2	macro
	db $00
	db $40,1
	db $41
	dw .C_select_1\@
	dw .C_select_2\@
.C_select_1\@
	db \1
	db $00
	db $42
	dw \2
.C_select_2\@
	db \3
	db $00
	db $42
	dw \4
	.endm

C_select3	macro
	db $00
	db $40,2
	db $41
	dw .C_select_1\@
	dw .C_select_2\@
	dw .C_select_3\@
.C_select_1\@
	db \1
	db $00
	db $42
	dw \2
.C_select_2\@
	db \3
	db $00
	db $42
	dw \4
.C_select_3\@
	db \5
	db $00
	db $42
	dw \6
	.endm

C_select4	macro
	db $00
	db $40,3
	db $41
	dw .C_select_1\@
	dw .C_select_2\@
	dw .C_select_3\@
	dw .C_select_4\@
.C_select_1\@
	db \1
	db $00
	db $42
	dw \2
.C_select_2\@
	db \3
	db $00
	db $42
	dw \4
.C_select_3\@
	db \5
	db $00
	db $42
	dw \6
.C_select_4\@
	db \7
	db $00
	db $42
	dw \8
	.endm

C_selset	macro
	db $43,\1
	.endm


C_copy		macro
	db $50,\1,\2
	.endm
C_invert	macro
	db $51,\1
	.endm
C_addi		macro
	db $52,\1,\2
	.endm
C_subi		macro
	db $52,\1,-\2
	.endm
C_add		macro
	db $53,\1,\2
	.endm
C_sub		macro
	db $54,\1,\2
	.endm



C_BG_set	macro
	db $10,\1
	.endm

C_BGM_on	macro
	db $60,\1
	.endm

C_BGM_off	macro
	db $61
	.endm
C_SE_on		macro
	db $62,\1
	.endm
C_SE_off	macro
	db $63
	.endm

