;NES Visual Novel System by KZ-S
;http://www.geocities.jp/kz_s6502/
; INES header setup
	.inesprg	32	; 16k prg bank
	.ineschr	8	; 8k  chr bank
	.inesmir	1	; Vertical
	.inesmap	19	; Use mapper "Namcot106"

	LIST

;@

PPUCTL0 = $2000	;PPU Control Register
PPUCTL1 = $2001

PPUSTAT = $2002	;PPU Status Register

SPRADDR = $2003	;Sprite Memory Address
SPRIO	= $2004	;Sprite I/O Register

BGSCROL = $2005	;BG Scroll Register

PPUADDR = $2006	;PPU Memory Address
PPUIO	= $2007	;PPU I/O Register



SPRDMA	= $4014	;Sprite DMA

SNDCTL	= $4015	;Sound Control Register

SPECIO1 = $4016	;
SPECIO2 = $4017	;

;@	Namcot106

BGVIEW	= 0
SPRVIEW	= 0

SNDBANK	= 48		;bank number of snddrv
SCRBANK	= 51		;bank number of script

IRQICNTL= $5000		;IRQ interrupt Counter -Low
IRQICNTH= $5800		;IRQ interrupt Counter -High

CHRBANK0= $8000
CHRBANK1= $8800
CHRBANK2= $9000
CHRBANK3= $9800
CHRBANK4= $A000
CHRBANK5= $A800
CHRBANK6= $B000
CHRBANK7= $B800

PRGBANK0= $E000
PRGBANK1= $E800
PRGBANK2= $F000		;PRGBANK3 is hard-wired.

;@	MemoryMap

ADDR	= $00	;script address	
;ADDR_H	= $01	;script address higher
;IRQCNT	= $02	;IRQ counter
CURPOS	= $03	;cursor position
TENSOU	= $04	;]Xe[^X D7- D6-BG D5-BGpbg D4-SPRpbg
;MOJI	= $05	;\ON
;RAMPAGE	= $06	;\RAMy[W(0/8)
KEYWAIT	= $07
WAIT	= $08
VSCROLL	= $09
KW_ONOFF= $0A	;KEYWAIT ON/OFF
MUSIC_ON= $0B	;MUSIC ON

SCRPAGE	= $0E	;script page
NMI_F	= $0F	;NMIstO

BGBANK0	= $20	;BG\̐擪̃oN
BGBANK	= $21	;BG\̃oN

BGPAL0	= $28	;BGpbg0,1,2,3,  4,5܂ŕۑĂ BGPAL0+$05܂ŎgpB
		;\̂߂̃pbgؑւ߂
MOJICOL = $2E	;̐F
BACKCOL = $2F	;̔wi̐F

IRQJMP0	= $30
IRQJMP1	= $31

MGCJMP0	= $32
MGCJMP1	= $33

SELECT	= $34	;SELECT
SELPOS	= $35	;SELECT̃J[\ʒu
SELADDR	= $36	;-37 SELECT̃[vAhX
SELJUMP	= $38	;-39 SELECT̃Wv
SELMAX	= $3A	;SELECT̍ől

JSRCNT	= $3C
JSRADDR = $3E	;JSR̃^[AhX`+7(lXg4̎)

PAD0	= $40	;key down	;A B SE ST U D L R
PAD1	= $41	;key in

DATA0	= $50	;f[^]p`+$1F


TEMP	= $70	;-73

TEMP8	= $78	;-7C


SPRDATA	= $0200

;FLAG[256]̃XNvgpz
FLAG	= $0300


;@
	.bank 0
	.org $8000
	db "----------------"
	db "                "
	db "NES Visual Novel"
	db "          System"
	db "Program         "
	db "           KZ-S "
	db "Special thanks  "
	db "          GIGO  "
	db "          Norix "
	db "          Xox   "
	db "          Yy    "
	db "  & HLC members "
	db "                "
	db "http://www.geoci"
	db "ties.jp/kz_s6502"
	db "                "
	db "                "
	db " 06/15/2001-    "
	db "    -09/02/2001 "
	db "                "
	db " 06/14/2004-    "
	db "                "
	db "----------------"


	.org $8400
	;BGf[^Zbg		$04byte x $100
	;CHR擪oNAf[^Apbgf[^A
	db $00,$00,$07,$00
	db $10,$04,$04,$00
	db $20,$01,$05,$00
	db $30,$03,$06,$00



	db $10,$04,$04,$00
	db $20,$00,$03,$00

	.org $8800
	;pbgf[^		$10byte x $100
	;̂܂16oCĝ0,4,8,12oCgڂ͑邱
	db $30,$30,$30,$30, $30,$30,$30,$30, $30,$30,$30,$30, $30,$30,$30,$30
	db $10,$10,$10,$10, $10,$10,$10,$10, $10,$10,$10,$10, $10,$10,$10,$10
	db $00,$00,$00,$00, $00,$00,$00,$00, $00,$00,$00,$00, $00,$00,$00,$00
	db $0F,$0F,$0F,$0F, $0F,$0F,$0F,$0F, $0F,$0F,$0F,$0F, $0F,$0F,$0F,$0F

	db $00,$22,$31,$30, $00,$1A,$2B,$30, $00,$10,$20,$30, $00,$0F,$0F,$0F
	db $11,$30,$00,$00, $11,$31,$21,$20, $11,$31,$21,$20, $11,$31,$21,$20
	db $30,$22,$21,$31, $30,$21,$31,$30, $30,$31,$30,$30, $30,$30,$30,$30

	db $30,$11,$21,$31, $30,$11,$21,$31, $30,$11,$21,$31, $30,$11,$21,$31


	db $30,$0F,$00,$00, $30,$30,$30,$30, $30,$30,$30,$30, $00,$00,$00,$00
	db $11,$30,$00,$00, $11,$31,$21,$20, $11,$31,$21,$20, $11,$31,$21,$20
	db $20,$0F,$0C,$31, $20,$0B,$19,$39, $20,$05,$15,$35, $20,$0F,$27,$37

	db $0F,$10,$20,$00, $00,$00,$00,$00, $00,$00,$00,$00, $00,$00,$00,$00
	db $0F,$30,$00,$00, $00,$27,$22,$20, $00,$00,$00,$00, $00,$00,$00,$00
	
;	db $,$,$,$, $,$,$,$, $,$,$,$, $,$,$,$


	.org $9800
	;BGf[^		$28byte x $100
	;.BGAT_00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00
	;.BGAT_01
	db $55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55
	db $55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55,$55
	db $55,$55,$55,$55,$55,$55,$55,$55
	;.BGAT_02
	db $AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA
	db $AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA
	db $AA,$AA,$AA,$AA,$AA,$AA,$AA,$AA
	;.BGAT_03
	db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	;.BGAT_04
;	db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,
	db $0F,$0F,$0F,$0F,$0F,$0F,$4F,$5F
	db $00,$40,$50,$50,$54,$55,$55,$55,$54,$55,$55,$55,$55,$55,$55,$AA
	db $A8,$AA,$6A,$A6,$65,$55,$99,$AA,$AA,$AA,$A6,$AA,$AA,$AA,$AA,$AA
	db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$AF,$AF,$AF,$AF,$AF,$AF,$AF,$AF


	db $00,$00,$04,$05,$55,$55,$55,$55,$00,$F0,$30,$00,$00,$88,$AA,$AA
	db $00,$0C,$03,$00,$88,$AA,$AA,$AA,$55,$51,$50,$00,$AA,$AA,$AA,$AA
	db $55,$55,$55,$55,$55,$55,$55,$55
	;.BGAT_05
	;.BGAT_06
	;.BGAT_07
	;.BGAT_08
	;.BGAT_09
	;.BGAT_0A
	;.BGAT_0B
	;.BGAT_0C
	;.BGAT_0D
	;.BGAT_0E
	;.BGAT_0F
	;
	;.BGAT_10
	;.BGAT_11
	;.BGAT_12
	;.BGAT_13
	;.BGAT_14
	;.BGAT_15
	;.BGAT_16
	;.BGAT_17
	;.BGAT_18
	;.BGAT_19
	;.BGAT_1A
	;.BGAT_1B
	;.BGAT_1C
	;.BGAT_1D
	;.BGAT_1E
	;.BGAT_1F
	;
	;.BGAT_20
	;.BGAT_21
	;.BGAT_22
	;.BGAT_23
	;.BGAT_24
	;.BGAT_25
	;.BGAT_26
	;.BGAT_27
	;.BGAT_28
	;.BGAT_29
	;.BGAT_2A
	;.BGAT_2B
	;.BGAT_2C
	;.BGAT_2D
	;.BGAT_2E
	;.BGAT_2F
	;
	;.BGAT_30
	;.BGAT_31
	;.BGAT_32
	;.BGAT_33
	;.BGAT_34

	.bank 1
	.org $A000
	;$34̃f[^̎c$20oCgn܂

	;.BGAT_35
	;.BGAT_36
	;.BGAT_37
	;.BGAT_38
	;.BGAT_39
	;.BGAT_3A
	;.BGAT_3B
	;.BGAT_3C
	;.BGAT_3D
	;.BGAT_3E
	;.BGAT_3F
	;
	;.BGAT_40
	;.BGAT_41
	;.BGAT_42
	;.BGAT_43
	;.BGAT_44
	;.BGAT_45
	;.BGAT_46
	;.BGAT_47
	;.BGAT_48
	;.BGAT_49
	;.BGAT_4A
	;.BGAT_4B
	;.BGAT_4C
	;.BGAT_4D
	;.BGAT_4E
	;.BGAT_4F
	;
	;.BGAT_50
	;.BGAT_51
	;.BGAT_52
	;.BGAT_53
	;.BGAT_54
	;.BGAT_55
	;.BGAT_56
	;.BGAT_57
	;.BGAT_58
	;.BGAT_59
	;.BGAT_5A
	;.BGAT_5B
	;.BGAT_5C
	;.BGAT_5D
	;.BGAT_5E
	;.BGAT_5F
	;
	;.BGAT_60
	;.BGAT_61
	;.BGAT_62
	;.BGAT_63
	;.BGAT_64
	;.BGAT_65
	;.BGAT_66
	;.BGAT_67
	;.BGAT_68
	;.BGAT_69
	;.BGAT_6A
	;.BGAT_6B
	;.BGAT_6C
	;.BGAT_6D
	;.BGAT_6E
	;.BGAT_6F
	;
	;.BGAT_70
	;.BGAT_71
	;.BGAT_72
	;.BGAT_73
	;.BGAT_74
	;.BGAT_75
	;.BGAT_76
	;.BGAT_77
	;.BGAT_78
	;.BGAT_79
	;.BGAT_7A
	;.BGAT_7B
	;.BGAT_7C
	;.BGAT_7D
	;.BGAT_7E
	;.BGAT_7F
	;
	;.BGAT_80
	;.BGAT_81
	;.BGAT_82
	;.BGAT_83
	;.BGAT_84
	;.BGAT_85
	;.BGAT_86
	;.BGAT_87
	;.BGAT_88
	;.BGAT_89
	;.BGAT_8A
	;.BGAT_8B
	;.BGAT_8C
	;.BGAT_8D
	;.BGAT_8E
	;.BGAT_8F
	;
	;.BGAT_90
	;.BGAT_91
	;.BGAT_92
	;.BGAT_93
	;.BGAT_94
	;.BGAT_95
	;.BGAT_96
	;.BGAT_97
	;.BGAT_98
	;.BGAT_99
	;.BGAT_9A
	;.BGAT_9B
	;.BGAT_9C
	;.BGAT_9D
	;.BGAT_9E
	;.BGAT_9F
	;
	;.BGAT_A0
	;.BGAT_A1
	;.BGAT_A2
	;.BGAT_A3
	;.BGAT_A4
	;.BGAT_A5
	;.BGAT_A6
	;.BGAT_A7
	;.BGAT_A8
	;.BGAT_A9
	;.BGAT_AA
	;.BGAT_AB
	;.BGAT_AC
	;.BGAT_AD
	;.BGAT_AE
	;.BGAT_AF
	;
	;.BGAT_B0
	;.BGAT_B1
	;.BGAT_B2
	;.BGAT_B3
	;.BGAT_B4
	;.BGAT_B5
	;.BGAT_B6
	;.BGAT_B7
	;.BGAT_B8
	;.BGAT_B9
	;.BGAT_BA
	;.BGAT_BB
	;.BGAT_BC
	;.BGAT_BD
	;.BGAT_BE
	;.BGAT_BF
	;
	;.BGAT_C0
	;.BGAT_C1
	;.BGAT_C2
	;.BGAT_C3
	;.BGAT_C4
	;.BGAT_C5
	;.BGAT_C6
	;.BGAT_C7
	;.BGAT_C8
	;.BGAT_C9
	;.BGAT_CA
	;.BGAT_CB
	;.BGAT_CC
	;.BGAT_CD
	;.BGAT_CE
	;.BGAT_CF
	;
	;.BGAT_D0
	;.BGAT_D1
	;.BGAT_D2
	;.BGAT_D3
	;.BGAT_D4
	;.BGAT_D5
	;.BGAT_D6
	;.BGAT_D7
	;.BGAT_D8
	;.BGAT_D9
	;.BGAT_DA
	;.BGAT_DB
	;.BGAT_DC
	;.BGAT_DD
	;.BGAT_DE
	;.BGAT_DF
	;
	;.BGAT_E0
	;.BGAT_E1
	;.BGAT_E2
	;.BGAT_E3
	;.BGAT_E4
	;.BGAT_E5
	;.BGAT_E6
	;.BGAT_E7
	;.BGAT_E8
	;.BGAT_E9
	;.BGAT_EA
	;.BGAT_EB
	;.BGAT_EC
	;.BGAT_ED
	;.BGAT_EE
	;.BGAT_EF
	;
	;.BGAT_F0
	;.BGAT_F1
	;.BGAT_F2
	;.BGAT_F3
	;.BGAT_F4
	;.BGAT_F5
	;.BGAT_F6
	;.BGAT_F7
	;.BGAT_F8
	;.BGAT_F9
	;.BGAT_FA
	;.BGAT_FB
	;.BGAT_FC
	;.BGAT_FD
	;.BGAT_FE
	;.BGAT_FF

;@	XvCgf[^
	.bank 2
	.org $A000
	;Zbgf[^
	;pbgAoNApb`ASPR-RAMf[^

	.org $B000
	;pbg		12byte x 256
	
	.org $BC00
	;oN			4byte x 256

;@
	.bank 3
	.org $A000
	;SPR-RAM̃pb`f[^	4byte x 8 x256
	;ύXԍAYWALԍA
	;ςԍ$00-$3FAςԍ$80`ȂύX

;@
	.bank 4
	.org $A000
	;SPR-RAMf[^		256byte x 128
	.bank 5
	.org $A000
	;SPR-RAMf[^		256byte x 128
	.bank 6
	.org $A000
	;SPR-RAMf[^		256byte x 128
	.bank 7
	.org $A000
	;SPR-RAMf[^		256byte x 128


;@	tHgf[^
	.bank 13
	.incbin "data\font.chr"

	.bank 47
;	$1000]肠
;@	DPCM set data
	.org $B000
	;.DPCM set data
DPCMsetdata
	;bank#, irq+loop+freq(4010), addr(4012), size(4013)

	;abura.bin
	db 50, %01000000 + $F, (DPCM00-$C000) / $40 , (DPCM00_e-DPCM00) / $10-1

;@	TEhhCof[^

	.bank SNDBANK
	;Sound PRG&DATA	̃oNʒuύXƂBGATTRIB̕ύXł̃oNؑւC
	.org $A000
music_data
	dw music_data0
	dw music_data1
music_data0
	.include "data\reminiscences_low.asm"
;	.include "data\kaisouroku.asm"
;	.include "data\dummy.asm"
music_data1
	.include "data\nomichi.asm"

	.include "snddrv2.asm"

;	.bank 49
	;]T

;@	DPCM data
	.bank 50
	.org $C000
DPCM00
	.incbin "data\abura.bin"
;	.incbin "data\abura01.dmc"
DPCM00_e
	db $00	;dummy

;@	XNvgf[^
	.include "scr_list.asm"

;@	vO{
	.bank 63
	.org $E000

RESET
	cld			;Clear decimal flag
	sei			;Enable interrupts
	lda #$00
	sta PPUCTL0

.WaitV:	
	lda $2002
	bpl .WaitV		;Wait for vertical blanking interval
	ldx #$00
	stx $2000
	stx $2001		;Screen display off, amongst other things
	dex
	txs			;Top of stack at $1FF

	ldy #$07
	sty <$01   		;Store count value in $01
	ldy #$00
	sty <$00
	lda #$00
.Clear:
	sta [$00],y 		;Clear $100 bytes
	dey
	bne .Clear

	dec <$01		;Decrement "banks" left counter
	bpl .Clear		;Do next if >= 0
	
	sta <$01

	sta IRQICNTH
;Bank Switching
	lda #SCRBANK
	sta <SCRPAGE
	sta PRGBANK0		;scenario
	lda #SNDBANK
	sta PRGBANK1		;sound

	lda #$FF
	sta <IRQJMP1
	lda #$10
	sta <IRQJMP0

	lda #$30
	sta <BACKCOL
	lda #$0F
	sta <MOJICOL


;SoundINI
	lda #SNDBANK
	sta PRGBANK1
	jsr snddrv_load		;TEhhCȍ

	lda #$00		;XNvgsAhX
	sta <ADDR		;8000
	lda #$80
	sta <ADDR+1

;Initialize Palette
	ldx #$3F	;PPUAddr-->$3F00
	stx PPUADDR
	ldx #$00
	stx PPUADDR

	ldy #$20
.INIpal
	stx PPUIO
	dey
	bne .INIpal

;Set NameTable
	lda #$20		;BG̃l[e[ux^ɃZbg
	jsr .BG_BETAset
	lda #$24
	jsr .BG_BETAset

;INISPR
	ldx #$00
	lda #$F7
.INISPR
	sta SPRDATA,x
	inx
	bne .INISPR

;PPU Register
	lda #%10101000
	sta PPUCTL0
	lda #%00011110
	sta PPUCTL1

	cli			;荞݋


;@
.main
	lda <NMI_F		;NMItO
	beq .main
	lda #$00
	sta <NMI_F

	lda <KW_ONOFF		;L[EFCgLǂ
	bne .main_2		;(1)ɂȂĂ疳ɃL[EFCgȂƌ

	lda <KEYWAIT		;L[EFCgl̓Ǎ
	beq .main_2
	
	;L[EFCgON̂Ƃ
	lda <PAD0		;B͉ĂԂȂOK
	asl a
	bmi .main_1
	lda <PAD1		;A͉uԂ̂
	bmi .main_1
	jmp .main		;BAĂȂƂ̓C֖߂
.main_1
	lda #$00		;L[EFCg̏ԂŃ{^ꂽƂ
	sta <KEYWAIT		;L[EFCgZbg

.main_2
	lda <PAD0		;B{^
	asl a
	bmi .main_3		;B{^ςȂŃEFCg
	
	lda <WAIT		;EFCgl
	beq .main_4		;0
	dec <WAIT		;B{^ĂȂƂ̓fNgăC
	jmp .main

.main_3
	lda #$00
	sta <WAIT		;BŔłƂɃEFCgNA
.main_4

	;XNvgǂݍ
	jsr .read1
	sta <TEMP		;XNvgʒuf[^1oCgǂ

	;XNvgR}hǂ̔AR}h̏ꍇ͔
	tax
	bmi .nocommands
	jsr .commands
	jmp .main

.nocommands
	jsr .read1
	;$8140́h@h͂߂Ȃ̂ŃAhXZ
	clc
	adc #$C0	;-$40
	tay		;

	lda #$00
	sta <TEMP+1

	lda <TEMP
	clc
	adc #$7F	;$-81
	
	;$A000-$E000󂢂Ă邽߁A$E040ȍ~̕$4000Z
	cmp #$5F
	bcc .nocommands_1
	sbc #$40
.nocommands_1
	tax		;

	;f[^3/4ɂ̂ł̃̕AhXZ
	;256𒴂閈64
	lsr a
	ror <TEMP+1
	lsr a
	ror <TEMP+1
	sta <TEMP
	tya
	sec
	sbc <TEMP+1
	sta <TEMP+1	;
	
	txa
	sbc <TEMP
	sta <TEMP	;

	jsr .moji

	jmp .main

;@
.commands
	;command7E܂127
	;e[uWvłꂼ̏ꏊ
	jsr Tablejump
	.dw	.c00
	.dw	.c01
	.dw	.c02
	.dw	.c03
	.dw	.c04
	.dw	.c05
	.dw	.c06
	.dw	.c07
	.dw	.c08
	.dw	.c09
	.dw	.c0A
	.dw	.c0B
	.dw	.c0C
	.dw	.c0D
	.dw	.c0E
	.dw	.c0F
	.dw	.c10
	.dw	.c11
	.dw	.c12
	.dw	.c13
	.dw	.c14
	.dw	.c15
	.dw	.c16
	.dw	.c17
	.dw	.c18
	.dw	.c19
	.dw	.c1A
	.dw	.c1B
	.dw	.c1C
	.dw	.c1D
	.dw	.c1E
	.dw	.c1F
	.dw	.c20
	.dw	.c21
	.dw	.c22
	.dw	.c23
	.dw	.c24
	.dw	.c25
	.dw	.c26
	.dw	.c27
	.dw	.c28
	.dw	.c29
	.dw	.c2A
	.dw	.c2B
	.dw	.c2C
	.dw	.c2D
	.dw	.c2E
	.dw	.c2F
	.dw	.c30
	.dw	.c31
	.dw	.c32
	.dw	.c33
	.dw	.c34
	.dw	.c35
	.dw	.c36
	.dw	.c37
	.dw	.c38
	.dw	.c39
	.dw	.c3A
	.dw	.c3B
	.dw	.c3C
	.dw	.c3D
	.dw	.c3E
	.dw	.c3F
	.dw	.c40
	.dw	.c41
	.dw	.c42
	.dw	.c43
	.dw	.c44
	.dw	.c45
	.dw	.c46
	.dw	.c47
	.dw	.c48
	.dw	.c49
	.dw	.c4A
	.dw	.c4B
	.dw	.c4C
	.dw	.c4D
	.dw	.c4E
	.dw	.c4F
	.dw	.c50
	.dw	.c51
	.dw	.c52
	.dw	.c53
	.dw	.c54
	.dw	.c55
	.dw	.c56
	.dw	.c57
	.dw	.c58
	.dw	.c59
	.dw	.c5A
	.dw	.c5B
	.dw	.c5C
	.dw	.c5D
	.dw	.c5E
	.dw	.c5F
	.dw	.c60
	.dw	.c61
	.dw	.c62
	.dw	.c63
	.dw	.c64
	.dw	.c65
	.dw	.c66
	.dw	.c67
	.dw	.c68
	.dw	.c69
	.dw	.c6A
	.dw	.c6B
	.dw	.c6C
	.dw	.c6D
	.dw	.c6E
	.dw	.c6F
	.dw	.c70
	.dw	.c71
	.dw	.c72
	.dw	.c73
	.dw	.c74
	.dw	.c75
	.dw	.c76
	.dw	.c77
	.dw	.c78
	.dw	.c79
	.dw	.c7A
	.dw	.c7B
	.dw	.c7C
	.dw	.c7D
	.dw	.c7E

;@	sub routine

.BG_BETAset
	sta PPUADDR
	lda #$00
	sta PPUADDR

	ldx #$03
.L0000
	ldy #$00
.L0001
	lda .BG_BETA,y
	sta PPUIO
	iny
	bne .L0001
	dex
	bne .L0000
	
	ldx #$C0
	ldy #$00
.L0002
	lda .BG_BETA,y
	sta PPUIO
	iny
	dex
	bne .L0002
	rts

.moji
	lda <TEMP	;ʃoCg
	;ɊÂPRG3ڂ̃f[^oN؂ւ
	clc
	adc #13		;tHgf[^̍ŏ̃oN
	sta PRGBANK1	;C000-̃oN؂ւ
	
	lda <TEMP+1	;ʃoCg
	lsr a
	lsr a
	lsr a
	clc
;	adc #$C0
	adc #$A0
	sta <TEMP+3	;f[^AhX
	lda <TEMP+1
	asl a
	asl a
	asl a
	asl a
	asl a
	sta <TEMP+2	;f[^AhX
	
	ldx #$00
	ldy #$00
.moji1
	lda [TEMP+2],y
	sta <DATA0,x
	inx
	iny
	cpx #$20
	bne .moji1
	
	lda #%10000000
	sta <TENSOU	;]ON
	rts

.incadr
	;AhX[`
	inc <ADDR
	bne .incadrend
	inc <ADDR+1

	pha
	lda <ADDR+1
	cmp #$A0
	bne .incadr_1

	inc <SCRPAGE
	lda <SCRPAGE
	sta PRGBANK0
	lda #$80
	sta <ADDR+1
.incadr_1
	pla

.incadrend
	rts

	;XNvgf[^Ǎ[`
	;1̏ꍇAɁA
	;2̏ꍇX,Ȁʂɓ
.read2
	ldy #$00
	lda [ADDR],y
	tax
	jsr .incadr
.read1
	ldy #$00
	lda [ADDR],y
	jmp .incadr		;rts

;@	commands

.c00
	;s
	lda <CURPOS
	ora #$0F
	tax
	inx
	stx <CURPOS
	cpx #$40
	beq .c02
	rts

.c01
	;y[W
	lda #$40
	sta <CURPOS

.c02
	;L[EFCg
	lda #$01
	sta <KEYWAIT
	rts

.c03
	;EFCg
	jsr .read1
	sta <WAIT
	rts

.c04
	;L[EFCgݒ̐؂ւ ON/OFF
	lda <KW_ONOFF
	eor #$01
	sta <KW_ONOFF
	rts

.c05
	;J[\ʒu̕ύX
	jsr .read1
	and #63
	sta <CURPOS
	rts
	
.c06
.c07
.c08
.c09
.c0A
.c0B
.c0C
.c0D
.c0E
.c0F

;@ BG

.c10
	;BGf[^ZbgύX
	jsr .read1

	ldy #00
	sty PRGBANK1
	sty <DATA0+$01
	sty <DATA0+$10
	sty <TEMP+1

;	asl a
;	rol <TEMP1
;	asl a
;	rol <TEMP1
;	sta <TEMP0
;	lda <TEMP1
;	clc
;	adc #$C4
;	sta <TEMP1

	asl a
	sta <TEMP
;	lda #%00110001
	lda #%00101001
	rol a
	asl <TEMP
	rol a
	sta <TEMP+1

	lda [TEMP],y		;؂ւCHR擪
	sta <BGBANK0
	iny
	lda [TEMP],y
	jsr .c12_sub		;BG
	iny
	lda [TEMP],y		;BGpbg
	jmp .c13_sub		;rts


.c11
	;؂ւCHR擪ύX
	jsr .read1
	sta <BGBANK0
	rts

.c12
	;BG
	lda #$00
	sta <DATA0+$01
	sta PRGBANK1
	jsr .read1

.c12_sub
	sta <TEMP+2
	asl a
	rol <DATA0+$01
	asl a
	rol <DATA0+$01
	clc
	adc <TEMP+2
	bcc .c12_sub_1
	inc <DATA0+$01
	;܂ł5{
.c12_sub_1
	asl a
	rol <DATA0+$01
	asl a
	rol <DATA0+$01
	asl a
	rol <DATA0+$01
	;܂ł40{
	sta <DATA0		;AhX
	lda <DATA0+$01
	clc
;	adc #$B8
	adc #$98
	sta <DATA0+$01		;AhX

	lda <TENSOU
	ora #%01000000
	sta <TENSOU		;BG]ON

	rts

.c13
	;BGpbg
	lda #$00
	sta <DATA0+$10
	sta PRGBANK1
	jsr .read1

.c13_sub
	lsr a
	ror <DATA0+$10
	lsr a
	ror <DATA0+$10
	lsr a
	ror <DATA0+$10
	lsr a
	ror <DATA0+$10		;AhX
	clc
;	adc #$C8
	adc #$88
	sta <DATA0+$11		;AhX

	lda <TENSOU
	ora #%00100000
	sta <TENSOU		;BGpbg]ON
	rts

.c14
	;BG VSCROLLύX
	jsr .read1
	sta <VSCROLL
	rts



.c15
.c16
.c17
.c18
.c19
.c1A
.c1B
.c1C
.c1D
.c1E
.c1F

;@ sprite

.c20
	;XvCgf[^Zbgw
	lda #$02
	sta PRGBANK1
	jsr .read1
	ldx #$00
	stx <TEMP+1
	
	asl a
	rol <TEMP+1
	asl a
	rol <TEMP+1
	sta <TEMP
	clc
;	lda #$C0
	lda #$A0
	adc <TEMP+1
	sta <TEMP+1
	
	ldy #$03
	lda [TEMP],y
	pha
	dey
	lda [TEMP],y
	pha
	dey
	lda [TEMP],y
	pha
	dey
	lda [TEMP],y
	jsr .c21_sub
	pla
	jsr .c22_sub
	pla
	jsr .c23_sub
	pla
	jmp .c24_sub		;rts

.c21
	;XvCgpbgw
	ldy #$02
	sty PRGBANK1
	jsr .read1

.c21_sub
	ldy #$00
	sty <TEMP+1		;AhX
	sta <TEMP		;AhX
	asl a
	rol <TEMP+1
	clc
	adc <TEMP
	bcc .c21_sub_1
	inc <TEMP+1
.c21_sub_1
	asl a
	rol <TEMP+1
	asl a
	sta <TEMP
	rol <TEMP+1
;	lda #$D0
	lda #$B0
	clc
	adc <TEMP+1
	sta <TEMP+1
	
	ldx #$0C
.c21_sub_2
	lda [TEMP],y
	sta DATA0,y
	iny
	dex
	bne .c21_sub_2
	
	lda #%00010000
	sta <TENSOU
	rts

.c22
	;XvCgoNw
	lda #$02
	sta PRGBANK1
	jsr .read1

.c22_sub
	ldy #$00
	sty <TEMP+1
	
	asl a
	rol <TEMP+1
	asl a
	rol <TEMP+1
	sta <TEMP
	clc
;	lda #$DC
	lda #$BC
	adc <TEMP+1
	sta <TEMP+1

	lda [TEMP],y
	sta CHRBANK4
	iny
	lda [TEMP],y
	sta CHRBANK5
	iny
	lda [TEMP],y
	sta CHRBANK6
	iny
	lda [TEMP],y
	sta CHRBANK7
	rts

.c23
	;XvCgf[^pb`w
	lda #$03
	sta PRGBANK1
	jsr .read1

.c23_sub
	ldy #$00
	sty <TEMP
	lsr a
	ror <TEMP
	lsr a
	ror <TEMP
	lsr a
	ror <TEMP
	clc
;	adc #$C0
	adc #$A0
	sta <TEMP+1

.c23_sub_1
	lda [TEMP],y
	bmi .c23_sub_3
	asl a
	asl a
	tax
	iny
	lda [TEMP],y
	sta SPRDATA,x
	iny
	inx
	lda [TEMP],y
	sta SPRDATA,x
	iny
	inx
	lda [TEMP],y
	sta SPRDATA,x
.c23_sub_2
	iny
	cpy #$20
	bne .c23_sub_1
	rts
.c23_sub_3
	iny
	iny
	iny
	bne .c23_sub_2


.c24
	;XvCgf[^w
	jsr .read1

.c24_sub
	ldy #$00
	sty <TEMP
	tax
	lsr a
	lsr a
	lsr a
	lsr a
	lsr a
	lsr a
	clc
	adc #$04
	sta PRGBANK1
	txa
	and #$3F
	clc
;	adc #$C0
	adc #$A0
	sta <TEMP+1
.c24_sub_1
	lda [TEMP],y
	sta SPRDATA,y
	iny
	bne .c24_sub_1
	rts

.c25
	;XvCgS̈ړ
	;x,y̏
	jsr .read2
	stx <TEMP
	sta <TEMP+1
	ldy #$00
.c25_1
	lda SPRDATA,y
	clc
	adc <TEMP+1
	sta SPRDATA,y
	iny
	iny
	iny
	lda SPRDATA,y
	clc
	adc <TEMP
	sta SPRDATA,y
	iny
	bne .c25_1
	rts

.c26
.c27
.c28
.c29
.c2A
.c2B
.c2C
.c2D
.c2E
.c2F

;@ branch

.c34
	;y[WύXWvTu[`
	jsr .read1
	sta <SCRPAGE
	sta PRGBANK0
.c32
	;WvTu[`
	lda <JSRCNT
	asl a
	tax
	lda <ADDR
	sta <JSRADDR  ,x
	lda <ADDR+1
	sta <JSRADDR+1,x
	inc <JSRCNT
	jsr .read2
	sta <ADDR+1
	stx <ADDR
	rts

.c33
	;Tu[`̃^[
	dec <JSRCNT
	lda <JSRCNT
	asl a
	tax
	lda <JSRADDR  ,x
	sta <ADDR
	lda <JSRADDR+1,x
	sta <ADDR+1
	rts

.c30
	;y[WύXWv
	jsr .read1
	sta <SCRPAGE
	sta PRGBANK0
.c31
	;y[WύXWv
	jsr .read2
	sta ADDR+1
	stx ADDR
	rts

.c35
	;if zero
	jsr .read1
	tax
	lda FLAG,x
	beq .c31
	jsr .read2
	rts

.c36
	;if plus
	jsr .read1
	tax
	lda FLAG,x
	bpl .c31
	jsr .read2
	rts

.c37
	;if minus
	jsr .read1
	tax
	lda FLAG,x
	bmi .c31
	jsr .read2
	rts


.c38
.c39
.c3A
.c3B
.c3C
.c3D
.c3E
.c3F

;@ select

.c40
	;IJn
	;R}h,I̍ől
	
;	lda #$00
;	sta <SELECT	;Iԍ̏	beq̌ɂ
	lda <CURPOS
	sta <SELPOS	;J[\ʒu̕ۑ
	
	jsr .read1
	sta <SELMAX	;I̍ől
	
	lda <ADDR	;Ĩ[vJnAhX
	sta <SELADDR	;͑IJnR}h̎̃AhXɂȂ
	lda <ADDR+1
	sta <SELADDR+1

	jsr .read1

	lda #$00
	sta <SELJUMP+1
	beq .c41_SELCHG


.c41_A
	;I[vŌ
	lda <SELJUMP+1
	beq .c41_loop		;AhXʂ00̏ꍇA܂I\IĂȂ̂Ń[v
	sta <ADDR+1
	lda <SELJUMP
	sta <ADDR
	rts

.c41
	;I[v
	;R}h,I0̃AhX,I1̃AhX,c
	lda <PAD1
	bmi .c41_A	;
	lsr a
	bcc .c41_left
	;RIGHT
	lda <SELECT
	cmp <SELMAX
	bne .c41_1
	lda #$FE	;+carry +1 = 0
.c41_1
	adc #$01
	bpl .c41_SELCHG		;=

.c41_loop
	;L[ĂȂꍇ[v
	lda <SELADDR
	sta <ADDR
	lda <SELADDR+1
	sta <ADDR+1
	rts

.c41_left
	lsr a
	bcc .c41_loop
	;LEFT
	lda <SELECT
	beq .c41_left_1
	dec <SELECT
.c41_load_select
	lda <SELECT
	bpl .c41_SELCHG_1	;=
.c41_left_1
	lda <SELMAX

.c41_SELCHG
	sta <SELECT
.c41_SELCHG_1
	;LEFTRIGHTɂĕ\ĂIύX
	;A = SELECT
	asl a
	tay
	lda [ADDR],y
	tax
	iny
	lda [ADDR],y
	sta <ADDR+1
	stx <ADDR

	lda <SELPOS	;J[\ʒu̕
	sta <CURPOS
	rts

.c42
	;II_
	;IꂽɃWvAhX=c42̎2oCgɋLq
	jsr .read2
	stx <SELJUMP
	sta <SELJUMP+1

	lda <SELADDR
	sta <ADDR
	lda <SELADDR+1
	sta <ADDR+1
	rts

.c43
	;I̕ۑ
	;ŌɑIԍw̃ɋL
	jsr .read1
	tax
	lda <SELECT
	sta FLAG,x
	rts

.c44
.c45
.c46
.c47
.c48
.c49
.c4A
.c4B
.c4C
.c4D
.c4E
.c4F

;@ FLAG

.c50
	;copy
	;FLAG[\2]FLAG[\1]ɃRs[
	jsr .read2
	tay
	lda FLAG,y
	sta FLAG,x
	rts

.c51
	;invert
	;FLAG[\1]̕𔽓]FLAG[\1]ɏ
	jsr .read1
	tax
	lda FLAG,x
	eor #$FF
	clc
	adc #$01
	sta FLAG,x
	rts
	
.c52
	;addi
	;FLAG[\1]\2ZFLAG[\1]ɏ
	jsr .read2
	clc
	adc FLAG,x
	sta FLAG,x
	rts

.c53
	;add
	;FLAG[\1]FLAG[\2]ɉZFLAG[\1]ɏ
	jsr .read2
	tay
	lda FLAG,x
	clc
	adc FLAG,y
	sta FLAG,x
	rts

.c54
	;sub
	;FLAG[\1]FLAG[\2]ZFLAG[\1]ɏ
	jsr .read2
	tay
	lda FLAG,x
	sec
	sbc FLAG,y
	sta FLAG,x
	rts

.c55
.c56
.c57
.c58
.c59
.c5A
.c5B
.c5C
.c5D
.c5E
.c5F

; sounds

.c60
	;BGMύX
	lda #$01
	sta <MUSIC_ON
	lda #$0F
	sta $4015
	lda #SNDBANK
	sta PRGBANK1
	jsr .read1
	jmp snddrv_init		;BGM	;rts

.c61
	;BGMXgbv
	lda #$00
	sta <MUSIC_ON
	sta $4015
	rts

.c62
	;DPCMĐ
	lda #SNDBANK-1
	sta PRGBANK1
	jsr .read1
	asl a
	asl a
	tax
	lda DPCMsetdata,x
	sta PRGBANK2

	lda DPCMsetdata+1,x
;@	IRQ荞݂g悤ɂƂALɂ
;	bpl .c62_irq_e	;4010irqrbgĂȂΏȂ
	;̉3rbg
	;000	̃Zbgf[^
	;001	-1
	;010	-2
	;011	-3
	;100	-4
	;101	-5
	;110	-6
	;111	-7

	;ɎgZbgf[^ǂݍŃ̂ǂɏĂ
	;荞݂ƂɃǂݍŏ
	;̎ɎgZbgf[^͊荞݂̊OŃɓǂݍނ悤ȃR}h𔭍sĂƂŏ?
;	pha
;	and %01110000	;KvȃrbgoĂ݂

;	pla
;	and %10001111	;荞݂Ƃ̓[vȂ
;.c62_irq_e

	sta $4010
	lda #$3F
	sta $4011
	lda DPCMsetdata+2,x
	sta $4012
	lda DPCMsetdata+3,x
	sta $4013

	lda #$10
	ldx <MUSIC_ON
	beq .c62_1
	ora #$0F
.c62_1
	sta $4015
	rts


.c63
	;DPCM~
	lda #$00
	ldx <MUSIC_ON
	beq .c63_1
	ora #$0F
.c63_1
	sta $4015
	rts

.c64
.c65
.c66
.c67
.c68
.c69
.c6A
.c6B
.c6C
.c6D
.c6E
.c6F
.c70
.c71
.c72
.c73
.c74
.c75
.c76
.c77
.c78
.c79
.c7A
.c7B
.c7C
.c7D
.c7E

;@	data

.BG_BETA
	db $00,$01,$02,$03,$04,$05,$06,$07,$08,$09,$0A,$0B,$0C,$0D,$0E,$0F
	db $20,$21,$22,$23,$24,$25,$26,$27,$28,$29,$2A,$2B,$2C,$2D,$2E,$2F
	db $10,$11,$12,$13,$14,$15,$16,$17,$18,$19,$1A,$1B,$1C,$1D,$1E,$1F
	db $30,$31,$32,$33,$34,$35,$36,$37,$38,$39,$3A,$3B,$3C,$3D,$3E,$3F
	db $40,$41,$42,$43,$44,$45,$46,$47,$48,$49,$4A,$4B,$4C,$4D,$4E,$4F
	db $60,$61,$62,$63,$64,$65,$66,$67,$68,$69,$6A,$6B,$6C,$6D,$6E,$6F
	db $50,$51,$52,$53,$54,$55,$56,$57,$58,$59,$5A,$5B,$5C,$5D,$5E,$5F
	db $70,$71,$72,$73,$74,$75,$76,$77,$78,$79,$7A,$7B,$7C,$7D,$7E,$7F

	db $80,$81,$82,$83,$84,$85,$86,$87,$88,$89,$8A,$8B,$8C,$8D,$8E,$8F
	db $A0,$A1,$A2,$A3,$A4,$A5,$A6,$A7,$A8,$A9,$AA,$AB,$AC,$AD,$AE,$AF
	db $90,$91,$92,$93,$94,$95,$96,$97,$98,$99,$9A,$9B,$9C,$9D,$9E,$9F
	db $B0,$B1,$B2,$B3,$B4,$B5,$B6,$B7,$B8,$B9,$BA,$BB,$BC,$BD,$BE,$BF
	db $C0,$C1,$C2,$C3,$C4,$C5,$C6,$C7,$C8,$C9,$CA,$CB,$CC,$CD,$CE,$CF
	db $E0,$E1,$E2,$E3,$E4,$E5,$E6,$E7,$E8,$E9,$EA,$EB,$EC,$ED,$EE,$EF
	db $D0,$D1,$D2,$D3,$D4,$D5,$D6,$D7,$D8,$D9,$DA,$DB,$DC,$DD,$DE,$DF
	db $F0,$F1,$F2,$F3,$F4,$F5,$F6,$F7,$F8,$F9,$FA,$FB,$FC,$FD,$FE,$FF


;@	NMI

NMI
	pha
	txa
	pha
	tya
	pha

	ldx #$10
	stx IRQICNTL
	lda #$E3
	sta IRQICNTH
	inx
	stx <NMI_F

	jsr .moji

	jsr .command

	ldx <BGBANK0
	stx CHRBANK0
	inx
	stx CHRBANK1
	inx
	stx CHRBANK2
	inx
	stx CHRBANK3
	inx
	stx <BGBANK

	jsr .BGPAL

	lda #$02
	sta SPRDMA

	lda #$20
	sta PPUADDR
	lda #$00
	sta PPUADDR

	lda #$00
	sta BGSCROL
;	lda #$F8
	clc
	adc <VSCROLL
	sta BGSCROL

	;ȍ~PPUɃANZXȂ

	jsr .PadGet

	lda <MUSIC_ON
	beq .snd_off
	;TEhhCo
	lda #SNDBANK
	sta PRGBANK1
	jsr snddrv_play
.snd_off

	pla
	tay
	pla
	tax
	pla
	rti

.PadGet
	;pbhf[^̎擾
	lda <PAD0
	sta <PAD1
	ldx #$01
	stx SPECIO1
	dex
	stx SPECIO1
	ldy #$08
.pad
	pha
	lda SPECIO1
	sta <TEMP8
	lsr a
	ora <TEMP8
	lsr a
	pla
	rol a
	dey
	bne .pad
	sta <PAD0
	eor <PAD1
	and <PAD0
	sta <PAD1
.PadGetend
	rts

.moji
	lda <TENSOU		;]Xe[^X
	bpl .PadGetend		;^[
	lda #$00
	sta <TENSOU		;]̎͑̕]łȂ̂0

	lda <CURPOS
	cmp #$40
	bne .cur2adr

	;łsƂƂɕ̑S0ɕςČȂB
	lda #$00
	sta <CURPOS

	ldx #$27
	stx PPUADDR
	ldx #$C0
	stx PPUADDR
.delpage
	sta PPUIO
	inx
	bne .delpage

.cur2adr
	lda #$00
	sta <TEMP8
	lda <CURPOS
	lsr a
	ror <TEMP8
	lsr a
	tax		;A->X
	ror <TEMP8
	lsr a
	ror <TEMP8	;
	lsr a
	ora #$E0
	sta CHRBANK0	;page	ΏCHR-RAMԍ
	txa		;A<-X
	and #$02
	sta <TEMP8+1	;
	sta <TEMP8+3
	lda <TEMP8
	sta <TEMP8+2

	ldx #$00	;CHR-DRAMɕ
	jsr .moji1
	inc <TEMP8+3
	ldy <TEMP8
	sty <TEMP8+2
	jsr .moji1

	;ςĕ悤ɂ
	lda <CURPOS
	and #%00101110
	lsr a
	cmp #$10
	bcc .moji2_0
	ora #$08
	clc
.moji2_0
	and #$0F
	adc #$C8
	ldy #$27
	sty PPUADDR
	sta PPUADDR
	pha
	
	ldx #$01
	lda <CURPOS
	sta <TEMP8
	and #$10
	beq .moji2_1
	ldx #$10
.moji2_1
	txa
	lsr <TEMP8
	bcc .moji2_2
	asl a
	asl a
.moji2_2
	sta <TEMP8
	lda PPUIO
	lda PPUIO
	ora <TEMP8
	tax
	pla
	sty PPUADDR
	sta PPUADDR
	stx PPUIO

	inc <CURPOS		;inc cursor_position
	lda <CURPOS
	cmp #$40
	bne .inccurend
	lda #$01
	sta <KEYWAIT		;L[EFCgON
.inccurend

	rts

.moji1
	lda #$00
	sta <TEMP8+4
.moji1_1
	lda <TEMP8+3
	sta PPUADDR
	lda <TEMP8+2
	sta PPUADDR

	ldy #$08
.moji1_2
	lda <DATA0,x
	sta PPUIO
	inx
	dey
	bne .moji1_2

	lda <TEMP8+4
	bne .moji1_end
	
	inc <TEMP8+4

	lda <TEMP8+2
	clc
	adc #$10
	sta <TEMP8+2
	jmp .moji1_1

.moji1_end
	rts

.command
	lda <TENSOU
	asl a
	bpl .command_1
	jsr .BG_ATT

.command_1
	lda <TENSOU
	asl a
	asl a
	bpl .command_2
	jsr .BG_PAL

.command_2

	lda #$00
	sta <TENSOU

	rts

.BG_ATT
	lda #$23
	sta PPUADDR
	lda #$C0
	sta PPUADDR

	ldx #$00
	stx PRGBANK0
	ldx #$01
	stx PRGBANK1

	ldx #$28
	ldy #$00
.BG_ATT_1
	lda [DATA0],y
	sta PPUIO
	;inc <DATA0		;ȂinyɂȂ̂킩Ȃ
	iny
	dex
	bne .BG_ATT_1

.BG_ATT_end
	lda <SCRPAGE
	sta PRGBANK0
	;snddrvɃANZXOɐ؂ւ̂ŕsv
;	ldx #48			;TEhhCõoNԍ
;	stx PRGBANK1

	rts

.BG_PAL
	lda #$3F
	sta PPUADDR
	lda #$00
	sta PPUADDR
	
	lda #00
	sta PRGBANK0
	
	ldx #$10
	ldy #$00
.BG_PAL_1
	lda [DATA0+$10],y
	sta PPUIO
	;inc <DATA0+$10		;ȂinyɂȂ̂킩Ȃ
	iny
	dex
	bne .BG_PAL_1
	
	ldx #$06
	ldy #$00
.BG_PAL_2
	lda [DATA0+$10],y
	sta BGPAL0,y
	iny
	dex
	bne .BG_PAL_2

	beq .BG_ATT_end

	rts

.BGPAL
	lda #$3F
	sta PPUADDR
	ldy #$00
	sty PPUADDR

	ldx #$06
.BGPAL_1
	lda BGPAL0,y
	sta PPUIO
	iny
	dex
	bne .BGPAL_1
	rts

;@

Tablejump
	asl a
	tay
	iny
	pla
	sta <MGCJMP0
	pla
	sta <MGCJMP1
	lda [MGCJMP0],y
	tax
	iny
	lda [MGCJMP0],y
	sta <MGCJMP1
	stx <MGCJMP0
	jmp [MGCJMP0]

;@

	.org $FF00
IRQ
	pha
	txa
	pha
	lda #$B8
	sta IRQICNTL
	lda #$F1
	sta IRQICNTH
	jmp [IRQJMP0]

	.org $FF10
.0
	lda #LOW(.1)
	bne .024
.2
	lda #LOW(.3)
	bne .024
.4
	lda #$00
	sta IRQICNTH
	sta PPUCTL1
	ldx #$3F
	stx PPUADDR
	sta PPUADDR
	lda BACKCOL
	ldx MOJICOL
	sta PPUIO
	sta PPUIO
	sta PPUIO
	sta PPUIO
	sta PPUIO
	stx PPUIO
;	lda #$FF
;	sta BGSCROL
;	lda #$08
;	sta BGSCROL
	lda #$24
	sta PPUADDR
	lda #$60
	sta PPUADDR
	
	lda #%00011110
	sta PPUCTL1
	lda #LOW(.0)
.024
	ldx <BGBANK
	stx CHRBANK0
	inx
	stx CHRBANK1
	inx
	stx <BGBANK
	sta <IRQJMP0
	bne .IRQend

.1
	lda #LOW(.2)
	bne .13
.3
	lda #$48
	sta IRQICNTL
	lda #$FC
	sta IRQICNTH
	lda #$E0
	sta <BGBANK
	lda #LOW(.4)
.13
	ldx <BGBANK
	stx CHRBANK2
	inx
	stx CHRBANK3
	inx
	stx <BGBANK
	sta <IRQJMP0

.IRQend
	pla
	tax
	pla
	rti

	.org  $FFFA
	.dw		NMI
	.dw		RESET
	.dw		IRQ

	.bank 64
	.incbin "data\FGMZ15D.chr"
;	.bank 65
;	.incbin "data\FGMZ15D.chr"
	.bank 66
	.incbin "data\BG008.chr"
;	.bank 67
;	.incbin "data\BG008.chr"

	.bank 68
	.incbin "data\BG050_0.chr"
	.bank 69
	.incbin "data\BG050_1.chr"

	.bank 70
	.incbin "data\FGMZ16A.chr"
;	.bank 71
;	.incbin "data\FGMZ16A.chr"

